{
  "name": "@partisiablockchain/abi-client",
  "version": "3.30.0",
  "description": "",
  "license": "AGPL-3.0",
  "dependencies": {
    "@types/bn.js": "^5.1.0",
    "@types/elliptic": "^6.4.14",
    "bn.js": "^5.2.0",
    "hash.js": "^1.1.7",
    "prettier": "^2.6.2",
    "@secata-public/bitmanipulation-ts": "3.0.6"
  },
  "devDependencies": {
    "@stryker-mutator/core": "^6.1.2",
    "@stryker-mutator/jest-runner": "^6.1.2",
    "@stryker-mutator/typescript-checker": "^6.1.2",
    "@types/jest": "^27.4.0",
    "@types/node": "^16.11.21",
    "@typescript-eslint/eslint-plugin": "^5.21.0",
    "eslint": "^8.14.0",
    "eslint-plugin-import": "^2.26.0",
    "jest": "^27.4.7",
    "jest-fetch-mock": "^3.0.3",
    "ts-jest": "^27.1.3",
    "typescript": "^4.6.2"
  },
  "scripts": {
    "test": "npx jest",
    "lint": "npx eslint src --max-warnings 0",
    "stryker": "stryker run",
    "build": "npx tsc",
    "prettier": "npx prettier --print-width 100 --tab-width 2 --quote-props as-needed --trailing-comma es5 --bracket-same-line --prose-wrap preserve --end-of-line lf --write src"
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org/"
  },
  "files": [
    "target/main"
  ],
  "main": "target/main/index.js",
  "types": "target/main/index.d.ts",
  "prettier": {
    "printWidth": 100,
    "endOfLine": "auto"
  }
}
